Get KYC Profile

get/api/accounts/{accountId}/kyc-profile

Get a KYC profile by account id if it exists.

Request

Path Parameters

  • accountIdstringrequired

    Id of the cardholder or identity account.

Query Parameters

  • includePersonalDetailsbooleandefault: false

    Include personal details (name, date of birth, etc) in the response. Requires additional permissions.

Response

Successful operation.

Body application/json

  • idstring

    The KYC profile id.

  • accountIdstring

    The account id.

  • statusstring
    Allowed values:createdpendingpassingpassedfailingfailed

    The status of the KYC profile.

  • regionstring

    Region code.

  • createdAtstring

    Timestamp of KYC profile creation.

  • createdBystring

    The Immersve Resource Name (IRN) that created the resource.

  • modifiedAtstring

    Timestamp of this KYC profile modification.

  • modifiedBystring

    The Immersve Resource Name (IRN) that modified the resource.